Plačiau apie šaltinių tipus ir jų atributus:
http://mirror.datacenter.by/pub/mirrors/CTAN/macros/latex/contrib/biblatex/doc/biblatex.pdf#subsection.2.1

@article{MMJ+15,
    author={Jones, M. and Microsoft and Bradley, J. and Identity, Ping and Sakimura, N. and NRI},
    title={JSON Web Token (JWT)},
    journal={IETF RFC},
    year={2015},
}

@article{Bar12,
    author={Daniel Bartholomew},
    title={MariaDB	vs.	MySQL},
    journal={},
    year={2012}
}

@inproceedings{Raj07,
    author={Raju Shrestha},
    title={High Availability and Performance of Database in the Cloud Traditional Master-slave Replication versus Modern Cluster-based Solutions},
    booktitle={7th International Conference on Cloud Computing and Services Science (CLOSER 2017)},
    publisher={SCITEPRESS – Science and Technology Publications, Lda},
    address={Oslo and Akershus University College of Applied Sciences, Oslo, Norway},
    pages={385-392},
    langid={english},
    year={2017}
}

@article{Ree08,
    author={Will Reese},
    title={Nginx: the High-Performance Web Server and Reverse Proxy},
    journal={},
    year={2008}
}

@article{Sou20,
    author={RONAN DE ARAÚJO SOUZA},
    title={PERFORMANCE ANALYSIS BETWEEN APACHE KAFKA AND RABBITMQ},
    journal={},
    year={2020}
}

@article{OO14,
    author={Diego Ongaro and John Ousterhout},
    title={In Search of an Understandable Consensus Algorithm (Extended Version)},
    year={2014}
}

@article{Ehr20,
    author={Simon Ehrenstein},
    title={Scalability Benchmarking of Kafka Streams Applications},
    year={2020}
}